# React Batch Autocomplete Lib

React component for easily use React Batch Autocomplete

## Getting started

Install the latest version:
```sh
npm install --save @batchservice/react-batch-autocomplete-lib
  or
yarn add @batchservice/react-batch-autocomplete-lib
```

Use the component!
```js
import React from 'react';
import { ReactBatchAutocomplete } from '@batchservice/react-batch-autocomplete-lib';

const Component = () => (

// Recent search data should be in below format
const [recentSearch, setRecentSearch] = useState([
    {"name": '8300 Apple'},
    {"name": 'Apple St'},
    {"name": '89001 Alamo'},
    {"name": '58651 Rhame'}
  ])

  const handleError = (e) => {
    // Handle error as you want  
    console.log('Error while searching: ',e);
  }

  const suggestionList = (data) => {
    // Suggestion list data  
    console.log('Suggetion List: ', data);
  }

  const onSelect = (data) => {
    // Do Your Execution with data
    console.log('Seleted item: ', data)
  }

 return(   
  <div>
     <ReactBatchAutocomplete
      placeholder="Enter your address"
      notFoundText="Not found data"
      debounce = "700"
      apiKey="BATCH_API_KEY"
      domainServer="BATCH_DOMAIN_SERVER"
      recentSearch ={recentSearch}
      handleError={(e) => handleError(e)}
      suggestionList={(data) => suggestionList(data)}
      onSelect={(data) => onSelect(data)}
    />
  </div>
 );
);

export default Component;
```
- Here **recentSearch** is fully optional.